
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>提高网页打开速度的一些小技巧 / iVAN</title>

    <meta name="description" content="提高网页打开速度的一些小技巧 互联网带宽越来越宽,似乎让网页的加载速度得到了质的飞跃.其实不然,因为随着带宽的提高,网页上的对象也越来越多,因此加快网页打开速度还是一个重要的课题. 加快网页的打开速度,有三个路径,一是提高网络带宽,二是用户在本机做优化,三是网站设计者对网页做一定的优化.这篇文章站在一个网站设计者的角度,分享一些优化网页加载速度的小技巧. 一.优化图片 几乎没有哪个网页上是没有图片的.如果你经历过56K猫的年代,你一定不会很喜欢有大量图片的网站.因为加载那样一个网页会花费大量的时间. 即使在现在,网络带宽有了">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">提高网页打开速度的一些小技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>互联网带宽越来越宽，似乎让网页的加载速度得到了质的飞跃。其实不然，因为随着带宽的提高，网页上的对象也越来越多，因此加快网页打开速度还是一个重要的课题。</p>
<p>加快网页的打开速度，有三个路径，一是提高网络带宽，二是用户在本机做优化，三是网站设计者对网页做一定的优化。这篇文章站在一个网站设计者的角度，分享一些优化网页加载速度的小技巧。</p>
<p>一、优化图片</p>
<p>几乎没有哪个网页上是没有图片的。如果你经历过56K猫的年代，你一定不会很喜欢有大量图片的网站。因为加载那样一个网页会花费大量的时间。</p>
<p>即使在现在，网络带宽有了很多的提高，56K猫逐渐淡出，优化图片以加快网页速度还是很有必要的。</p>
<p>优化图片包括减少图片数、降低图像质量、使用恰当的格式。</p>
<p>1、减少图片数：去除不必要的图片。</p>
<p>2、降低图像质量：如果不是很必要，尝试降低图像的质量，尤其是jpg格式，降低5%的质量看起来变化不是很大，但文件大小的变化是比较大的。</p>
<p>3、使用恰当的格式：请参阅下一点。</p>
<p>因此，在上传图片之前，你需要对图片进行编辑，如果你觉得photoshop太麻烦，可以试试一些在线图片编辑工具。懒得编辑而又想图片有特殊的效果？可以试试用过调用javascript来实现图片特效。</p>
<p>二、图像格式的选择</p>
<p>一般在网页上使用的图片格式有三种，jpg、png、gif。三种格式的具体技术指标不是这篇文章探讨的内容，我们只需要知道在什么时候应该使用什么格式，以减少网页的加载时间。</p>
<p>1、JPG：一般用于展示风景、人物、艺术照的摄影作品。有时也用在电脑截屏上。</p>
<p>2、GIF：提供的颜色较少，可用在一些对颜色要求不高的地方，比如网站logo、按钮、表情等等。当然，gif的一个重要的应用是动画图片。就像用Lunapic制作的倒映图片。</p>
<p>3、PNG：PNG格式能提供透明背景，是一种专为网页展示而发明的图片格式。一般用于需要背景透明显示或对图像质量要求较高的网页上。</p>
<p>三、优化CSS</p>
<p>CSS叠层样式表让网页加载起来更高效，浏览体验也得到提高。有了CSS，表格布局的方式可以退休了。</p>
<p>但有时我们在写CSS的时候会使用了一些比较罗嗦的语句，比如这句：</p>
<p>margin-top: 10px;<br />
margin-right: 20px;<br />
margin-bottom: 10px;<br />
margin-left: 20px;</p>
<p>你可以将它简化为：</p>
<p>margin: 10px 20px 10px 20px;</p>
<p>又或者这句：</p>
<p>&lt;p class="decorated"&gt;A paragraph of decorated text&lt;/p&gt;<br />
&lt;p class="decorated"&gt;Second paragraph&lt;/p&gt;<br />
&lt;p class="decorated"&gt;Third paragraph&lt;/p&gt;<br />
&lt;p class="decorated"&gt;Forth paragraph&lt;/p&gt;</p>
<p>可以用div来包含：</p>
<p>&lt;div class="decorated"&gt;<br />
&lt;p&gt;A paragraph of decorated text&lt;/p&gt;<br />
&lt;p&gt;Second paragraph&lt;/p&gt;<br />
&lt;p&gt;Third paragraph&lt;/p&gt;<br />
&lt;p&gt;Forth paragraph&lt;/p&gt;<br />
&lt;/div&gt;</p>
<p>简化CSS能去除冗余的属性，提高运行效率。如果你写好CSS后懒得去做简化，你可以使用一些在线的简化CSS工具，比如CleanCSS。</p>
<p>四、网址后加斜杠</p>
<p>有些网址，比如"www.kenengba.com/220"，当服务器收到这样一个地址请求的时候，它需要花费时间去确定这个地址的文件类型。如果220是一个目录，不妨在网址后多加一个斜杠，让其变成www.kenengba.com/220/，这样服务器就能一目了然地知道要访问该目录下的index或default文件，从而节省了加载时间。</p>
<p>五、标明高度和宽度</p>
<p>这点很重要，但很多人由于懒惰或其它原因，总是将其忽视。当你在网页上添加图片或表格时，你应该指定它们的高度和宽度，也就是height和width参数。如果浏览器没有找到这两个参数，它需要一边下载图片一边计算大小，如果图片很多，浏览器需要不断地调整页面。这不但影响速度，也影响浏览体验。</p>
<p>下面是一个比较友好的图片代码：</p>
<p>&lt;img id="moon" height="200" width="450" src="http://www.kenengba.com/moon.png" alt="moon image" /&gt;</p>
<p>当浏览器知道了高度和宽度参数后，即使图片暂时无法显示，页面上也会腾出图片的空位，然后继续加载后面的内容。从而加载时间快了，浏览体验也更好了。</p>
<p>六、减少http请求</p>
<p>当浏览者打开某个网页，浏览器会发出很多对象请求（图像、脚本等等），视乎网络延时情况，每个对象加载都会有所延迟。如果网页上对象很多，这可以需要花费大量的时间。</p>
<p>因此，要为http请求减负。如何减负？</p>
<p>1、去除一些不必要的对象。</p>
<p>2、将临近的两张图片合成一张。</p>
<p>3、合并CSS</p>
<p>看看下面这段代码，需要加载三个CSS：</p>
<p>&lt;link rel="stylesheet" type="text/css" href="/body.css" /&gt;<br />
&lt;link rel="stylesheet" type="text/css" href="/side.css" /&gt;<br />
&lt;link rel="stylesheet" type="text/css" href="/footer.css" /&gt;</p>
<p>我们可以将其合成一个：</p>
<p>&lt;link rel="stylesheet" type="text/css" href="/style.css" /&gt;</p>
<p>从而减少http请求。</p>
<p>七、其它小技巧（译者添加）</p>
<p>1、去除不必要加载项。</p>
<p>2、如果在网页上嵌入了其它网站的widget，如果有选择余地，一定要选择速度快的。</p>
<p>3、尽量用图片代替flash，这对SEO也有好处。</p>
<p>4、有些内容可以静态化就将其静态化，以减少服务器的负担。</p>
<p>5、统计代码放在页尾。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 23:41:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%bd%91%e9%a1%b5/" title="网页">网页</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%9b%be%e7%89%87/" title="图片">图片</a>, <a href="https://www.iamivan.net/tag/%e4%bc%98%e5%8c%96/" title="优化">优化</a>, <a href="https://www.iamivan.net/tag/%e9%80%9f%e5%ba%a6/" title="速度">速度</a>, <a href="https://www.iamivan.net/tag/%e6%a0%bc%e5%bc%8f/" title="格式">格式</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>提高网页打开速度的一些小技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn83JAb.html" rel="bookmark">动态载入js提高网页打开速度的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般来说如果一次性的载入所有需要的JavaScript代码,就会造成初始网页打开速度变慢,但是很多载入的代码又并不需要使用,这种无谓的性能浪费应该予以避免.如果要动态载入JavaScript代码,可以利用DOM模型在HTML文档中添加&lt;script&gt;结点,并将此结点的src属性(即 外联 Javascript文件)设置为需要动态载入的JavaScript代码. 下面就是完成这样功能的一个示例: (1).新建JsLoaderTest.html文件 &lt;html xmlns=&quot;htt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo7Kmgb.html" rel="bookmark">受欢迎网站的前提提高网页打开速度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  关于受欢迎网站用户体验的方法论有很多,最基本的:别让我等!!提高网页打开速度. 为什么迅雷在下载软件中独树一帜?为什么越来越多的用户在低画质的视频网站上在线观看连续剧,而不是下载更清晰的视频文件?答案是:用户的耐心非常有限,用户对速度的追求远远超过了对画质等因素的追求. 回到网站运营问题上,你是否有在全国各地都测试过,访问打开你的网站需要几秒? 曾有很多研究表明:用户最满意的打开网页时间是2-5秒,如果等待超过10秒,99%的用户会关闭这个网页.也许这样讲,各位还不会有太多感触,接下来,我列			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPkaw0M.html" rel="bookmark">网站设计&colon;提高网页打开速度的技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.aliyun.com/zixun/aggregation/9872.html&quot;&gt;互联网带宽越来越宽,似乎让网页的加载速度得到了质的飞跃. 其实不然,因为随着带宽的提高,网页上的对象也越来越多,因此加快网页打开速度还是一个重要的课题.加快网页的打开速度,有三个路径,一是提高网络带宽,二是用户在本机做优化,三是网站设计者对网页做一定的优化.这篇文章站在一个网站设计者的角度,分享一些优化网页加载速度的小技巧. 一.优化图片 几乎没有哪个网页上是没有图片的.如果你经历过56K			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baBg5QM.html" rel="bookmark">用innerhtml提高页面打开速度的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				查看源代码,可以发现,页首的登陆代码位置,只有一行 复制代码 代码如下: &lt;div id=&quot;headtop&quot;&gt;&lt;/div&gt; 而flash幻灯的位置,也只有一行 复制代码 代码如下: &lt;div id=&quot;index_slide&quot;&gt;&lt;/div&gt; 对于这种需要耗时的代码,最好是放在页面最后面加载,然后用innerhtml的方法加载到对应位置,达到加快页面打开速度的目的. 复制代码 代码如下: $(&quot;#headtop&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq80ZOb.html" rel="bookmark">win7系统提高网页打开速度的技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1.首先打开Win7系统的注册表编辑器,只要打开开始菜单中的运行,然后输入regedit 回车即可打开;   2.注册表编辑器打开后,我们就可以在其中进行注册表编辑了,我们定位到:HKEY-LOCAL-MACHINE/SYSTEM/Controlset001/services/Tcpip/Parameters 项下;   3.选中&quot;Parameters&quot;项后,双击右侧窗口中的&quot;DefaultTTL&quot;数据;   4.然后在打开的编辑窗口中,咱们将数值数据修改为80			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1l6D5b.html" rel="bookmark">提高网页打开速度，从内容着手！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网站速度的快慢,直接影响访客的数量,如何加快网站的速度,怎样从内容方面着手,达到目的. 一.最小化重定向 有的时候点击新位置的url的时候,跟踪点击会发现一个网站的不同部分或者多个链接在一起,而我们需要从一个url重定向像浏览器到另一个.重定向触发一个额外的HTTP请求,增加页面的http://www.aliyun.com/zixun/aggregation/12000.html&quot;&gt;加载时间,从技术上来说,只有保持重定向,才能解决页面加载延迟的问题. 二.从静态资源中删除查询字符串 缓存中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0WANp.html" rel="bookmark">js实现网页图片延时加载 提升网页打开速度&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				提升网页加载速度的方法有很多种,用 jquery.lazyload.js 实现图片异步延迟加载,对于页面包含图片较多的网站来说,会是个不错的提升网页打开速度的方法.代码君网站栏目页列表左侧,在PC端预览时能看到一个文章略缩图展示模块,一定程度上会延长网页加载时间.本文采用图片异步延迟加载的方法,来提升本站页面加载速度. 图片异步加载,就是不必一次性把页面的所有图片都加载显示出来,等用户滑动滚动条到某个位置时才会加载显示相应位置的图片,这样能很好地提升网页加载速度,进一步提升用户体验. 有很多技术			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJDj4M.html" rel="bookmark">利用谷歌Analytics统计精准测试网页打开速度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  有机构曾经做过一个调查统计,网民打开网页平均可容忍的承受时间是多少?20秒.这个调查结果已经是一年前的数据了,相信现在一个网页如果10秒钟都打不开访问者将毫不留情地关闭你的页面.如果你在网页内容上花了很多心思,但访客都打不开网页,再多的努力也白费了.所以网站的网页打开速度测试是站长必须要做的.一次或几次的网页加载速度测试的结果并不具有很强的代表性.只有当统计次数达到一定量的时候,打开速度的测试值才会更真实.新版的Google Analytics(Google提供的免费网页访问统计工具)就提供			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGJ85op.html" rel="bookmark">解决网页右键不能用的小技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				怎么解决网页右键不能用的小技巧:当你遇到喜欢的文章.图片,而希望复制下来时,右键却受到限制,此时,有如下方法可以破解,试一试管用. 第一种情况,出现版权信息类的破解方法如下: 在页面目标上按下鼠标右键,弹出限制窗口,这时不要松开右键,将鼠标指针移到窗口的&quot;确定&quot;按钮上,同时按下左键.现在松开鼠标左键,限制窗口被关闭了,再将鼠标移到目标上松开鼠标右键,弹出了鼠标右键菜单,限制取消了! 第二种情况,出现&quot;添加到收藏夹&quot;的破解方法如下: 在目标上点鼠标右键,出现添加到收藏			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwKxOz.html" rel="bookmark" class="title">简单5步让你的Photoshop工作效率爆表</a>
					<div>
						  莫让重复的任务消耗你的创造力.让我们来解释下如何通过创建适合自己的操作步骤来使Photoshop的使用更加方便快捷. 作为一个Photoshop用户,你可能会遇到不得不做重复性的任务的情况,如调整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0mknp.html" rel="bookmark" class="title">中文特殊符号</a>
					<div>
						参考|中文 &lt;HTML&gt;&lt;HEAD&gt;&lt;META http-equiv='Content-Type' content='text/html;charset=gb2312'& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVAnKp.html" rel="bookmark" class="title">实现聊天室的悄悄话功能（下）（转贴）</a>
					<div>
						聊天室 &lt;% @language=&quot;vbscript&quot; %&gt;   &lt;%   Response.Expires=0   'response.buffer=true  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1e8xM.html" rel="bookmark" class="title">数据库的Query Analyzer</a>
					<div>
						数据|数据库 很多人一定用过Query Analyzer,这个工具的功能如何如何,就不用我说了,这次给大家介绍下Web下的Query Analyzer,界面如图1,使用ASP写的. (图1) 源程序如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrrBxM.html" rel="bookmark" class="title">百度推广效果不理想 10招助你走出困局之第1招</a>
					<div>
						你现在是否面临这样的烦恼: 1.网站在百度推广效果越来越差,推广成本费用越来越高. 2.网上每天咨询的客户数量越来越少,产品成交数量更少. 3.网络销售除了百度推广烧钱外,几乎没尝试用其他渠道推广.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZam5p.html" rel="bookmark" class="title">分享百度关键词匹配的那些事儿</a>
					<div>
						做seo这么长时间,笔者或多或少积累了写经验,对百度相关关键词还是有一些认识的.大家可以从百度宣传的广告标语与视频上发现,百度对汉字的认识还是比较自负的.百度总以为自己是正确的,但是我们没有办法,百度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj77PWM.html" rel="bookmark" class="title">jQuery入门&lpar;1&rpar; 概述</a>
					<div>
						jQuery是一套跨浏览器的JavaScript函式库,简化HTML与JavaScript之间的操作,下面为摘自 Wikepedia上的jQuery说明: jQuery 是开源软件,使用MIT许可证授 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91JWdM.html" rel="bookmark" class="title">Oracle的RMAN Report命令用法</a>
					<div>
						RMAN的report命令可以用户判断数据库的当前可恢复状态和提供数据库备份的特定信息. 1.指定最近没有备份的数据文件 查询3天内没有备份过的表空间,可以用如下命令: RMAN&gt; report ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLGkkb.html" rel="bookmark" class="title">WPS文字设置默认模板的方法</a>
					<div>
						  WPS文字设置默认模板的方法           当然,或许在文件夹中有保存这些常用的格式文档,需要使用的话,直接在文件夹中打开使用即可. 而在WPS中设置默认模板的方法,则比这种保存在常用文件夹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4A17p.html" rel="bookmark" class="title">win7网上邻居怎么打开？</a>
					<div>
						  技巧一: 微软在win7系统中将&quot;网上邻居&quot;重命名为&quot;网络&quot;,所以很多用户都不知道网上邻居,除了在桌面中打开之外,也可以打开桌面&quot;计算机&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr2n3p.html" rel="bookmark" class="title">Photoshop CS6使用油画滤镜制作微手绘效果</a>
					<div>
						最终效果 先看处理前后对比图 在pscs6中打开一张图片,如下图所示 点击&quot;滤镜&gt;油画&quot;并如下设置 看看效果 当然下面的作法为可选,复制图层,将图层的混合模式设置为&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk5dEb.html" rel="bookmark" class="title">无线端交互设计（Dribbble GIF动态图实例）</a>
					<div>
						盘点Dribbble上令人惊叹的无线端交互设计!来自全球牛人们的奇思妙想,新颖动人的交互在这一张张GIF动态图上一览无余!当然界面一样打动人心,腾出手点赞的同时!记得另存哟:)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2WKnb.html" rel="bookmark" class="title">ios-webView内容水平和垂直都居中</a>
					<div>
						问题描述 webView内容水平和垂直都居中 需要水平和垂直居中webView的内容,我可以这样实现水平居中 - (void)webViewDidFinishLoad:(UIWebView *)web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE7qqp.html" rel="bookmark" class="title">fedora 中设置mysql编码</a>
					<div>
						我的操作系统是fedora 20,安装MySQL 时安装的是MariaDB 最初查看数据库编码时,结果如下: MariaDB [passwd3]&gt; show variables like 'ch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7v5nz.html" rel="bookmark" class="title">生成对抗网络（GANs ）为什么这么火？盘点它诞生以来的主要技术进展</a>
					<div>
						两年前,蒙特利尔大学 Ian Goodfellow 等学者提出&quot;生成对抗网络&quot;(Generative Adversarial Networks,GANs)的概念,并逐渐引起 AI  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAe5vM.html" rel="bookmark" class="title">WEB 开发不应该这么复杂</a>
					<div>
						 我们一共 10 个开发者,其他 6 个 Rails 开发. 2 个 iOS 开发和 2 个安卓开发,在 18 月完成了共 200 个设计图.部署到五个平台的 Basecamp 3 . (你能想象不用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWxkWp.html" rel="bookmark" class="title">【SSH项目实战】国税协同平台-31&period;我要投诉功能1</a>
					<div>
						我们之前完成了投诉回复和保存功能,这次我们将要完成历史受理信息的显示 以及数据回显功能,当然还有用户编写投诉信息的入口,我们这次继续. 可以注意到,在deilUI.jsp上我们之前的投诉人信息显示,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj7L4M.html" rel="bookmark" class="title">java：如何用代码控制H2 Database启动</a>
					<div>
						1.纯手动start/stop 1 package com.cnblogs.yjmyzz.h2; 2 3 import java.sql.Connection; 4 import java.sql.D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKjqVb.html" rel="bookmark" class="title">封装用于解析NSDate的便利的类</a>
					<div>
						封装用于解析NSDate的便利的类 此类可以从NSDate中解析出年份,月份,日期,时,分,秒,毫秒,足够用来做好多事情了,现提供源码如下: 以下是核心的类: TimeInfo.h 与 TimeInf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKm8Db.html" rel="bookmark" class="title">android-Android- 在onTextChanged方法内调用setText</a>
					<div>
						问题描述 Android- 在onTextChanged方法内调用setText 为了防止无限循环我是用了如下的代码: @Overrideprotected void onTextChanged(Ch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z405O1z.html" rel="bookmark" class="title">【技术贴】怎么装系统？到店里重装系统，装驱动。价钱多少 ？</a>
					<div>
						问:到店里重装系统 是不是把所有驱动都弄好的啊 然后价钱多少 答:我都是自己装,一分钱不花.我充个好人,教想学的人装系统. 驱动?很简单啊,看你是品牌机还是组装机,品牌机好办,去自己的电脑官方网站,直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydXLlb.html" rel="bookmark" class="title">Leiningen</a>
					<div>
						1 What's Leiningen Leiningen is a tool for automating Clojure projects without setting your hair on  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRl07b.html" rel="bookmark" class="title">操作-运行一直有错误，求大家帮我看看，我实在找不出来问题&equals; &equals;</a>
					<div>
						问题描述 运行一直有错误,求大家帮我看看,我实在找不出来问题= = import java.io.*; public class AccountDemo { public static void ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmOn3M.html" rel="bookmark" class="title">外媒：英特尔移动业务正分崩离析，收购联发科或能自救</a>
					<div>
						采用英特尔芯片的智能手机越来越少了 4月18日,据外媒报道,去年,芯片巨头英特尔将旗下的PC和移动芯片业务合二为一,重新搭建了客户端计算业务,公司元老艾莎·埃文斯(Aicha Evans)负责移动部门 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZPGZp.html" rel="bookmark" class="title">又一家因巧妙应用互联网思维而在业界大红大紫的企业遭遇质疑</a>
					<div>
						继&quot;黄太吉&quot;&quot;马佳佳&quot;之后,又一家因巧妙应用&quot;互联网思维&quot;而在业界大红大紫的企业遭遇质疑.对中国观众而言,创业致富的故事向来有很大卖点,而互 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnnDAM.html" rel="bookmark" class="title">4G的扩展对大数据来说意味着什么&quest;</a>
					<div>
						文章讲的是4G的扩展对大数据来说意味着什么,随着智能手机市场占有率的不断增大,移动营销和内容营销成为了很多互联网公司的战场.微博.UC.今日头条.网易新闻......每一次刷新都会产生众多内容,随着越 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0Q4PM.html" rel="bookmark" class="title">Godaddy的backorder退款到支付宝全过程</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 4月底的时候,在godaddy上面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nqGPz.html" rel="bookmark" class="title">win10不用密码直接登陆设置</a>
					<div>
						点击开始菜单里的[运行],然后输入control userpasswords2 或者 netplwiz ,然后点击确定,如下图所示. 点击后,在用户帐户对话框里可以看到&quot;要使用本计算机,用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL37VM.html" rel="bookmark" class="title">走过的那些青春代码</a>
					<div>
						许久之前,便想写一篇文章来表达一下自己的情感,想来分享一下自己的程序人生!无奈,学习生活什么的都及其忙碌,好吧,你想说我在偷懒,额! 我们平凡如旧,我们有的,只是那颗火焰般热情洋溢的心.不是不想活得潇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44Jgqz.html" rel="bookmark" class="title">wordpress中wp&lowbar;nav&lowbar;menu&lpar;&rpar;参数详解</a>
					<div>
						昨天折腾主题的时候, 创建了一个函数文件 创建了一下header菜单 但是保存后刷新后台却没有任何反应 于是苦逼的我[TUT]去百度谷歌必应搜搜了好久 →起码折腾了两个小时 最后我苍白的发现 [我去, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
